IPerf UI demo
=================

This application is a simplistic web UI front end for ALEOS/AAF

This application require iperf binary (which is hardware specific) but bside this it is compatible with ALEOS >4.5.0, all device types.

Note: this is POC application, user inputs are directly processed in command line whithout intelligent code injection protection. In a production
environement user input always need to be sanitized before.

Note: This app embeded multiple version of the iperf binary compatible with IMX (freescale) and PXA (Marvell) CPUs. So this app should be compatible
with any AAF ready devices, including LS, GX, RV MP.

Known issues: On ALEOS <4.4.4 and ALEOS <4.6.0 a bug prevent the iperf client to terminate on its own. You have to manually stop it by clicking on the 'Stop' button

Package and Deploy
------------------


``` bash
    cd iperfui
    tar cf ../updatepackage.tar *
    scp ../updatepackage.tar uasuser@192.168.13.31:/mnt/user/readyagent/update/drop/
```



Get ready to measure the speed!
-------------------------------

Point your browser to http://192.168.13.31:8081


![Landing page](bin/static/img/road-900x397.jpg)